## apport 2.20.7-0ubuntu3

=== debian/changelog ===
apport (2.20.7-0ubuntu3) artful; urgency=medium

  * Make debian/apport.init a symlink to etc/init.d/apport so that
    dh_installinit creates a good postinst. (LP: #1722801)

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Oct 2017 14:26:50 -0700

apport (2.20.7-0ubuntu2) artful; urgency=medium

  * data/package-hooks/source_ubiquity.py: Convert the content of syslog from
    bytes to string so comparison and regex matches in the hook work.
    (LP: #1582950)

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Sep 2017 14:44:40 -0700

apport (2.20.7-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - backends/packaging-apt-dpkg.py: Don't install the version mentioned in a
      versioned dep, rather install the latest version of that dep.
    - backends/packaging-apt-dpkg.py: search -proposed last so we prefer
      packages from other pockets.

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Aug 2017 16:45:01 -0700

apport (2.20.6-0ubuntu7) artful; urgency=medium

  * data/general-hooks/ubuntu.py: When gathering python version information
    also try to determine package and version of the binary.

 -- Brian Murray <brian@ubuntu.com>  Wed, 23 Aug 2017 12:34:23 -0700

apport (2.20.6-0ubuntu6) artful; urgency=medium

  * data/general-hooks/ubuntu.py: Gather information about the python versions
    installed on the system as versions not from the Ubuntu archive can cause
    issues. (LP: #1681528)

 -- Brian Murray <brian@ubuntu.com>  Fri, 18 Aug 2017 11:13:14 -0700

apport (2.20.6-0ubuntu5) artful; urgency=medium

  * Remove upstart system job.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Aug 2017 17:18:13 -0400

apport (2.20.6-0ubuntu4) artful; urgency=medium

  * apport/REThread.py: A bare except needs to be used so that we can catch
    the dialog being closed.
  * test/test_report.py: Be a little patient and give some time for the core
    file to show up.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Jul 2017 10:42:33 -0700

apport (2.20.6-0ubuntu3) artful; urgency=medium

  * debian/control: Add dependencies on python3-httplib2 / python-httplib2.

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Jul 2017 11:06:24 -0700

apport (2.20.6-0ubuntu2) artful; urgency=medium

  * Fix new pep8 failures in artful - E722 do not use bare except.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jul 2017 13:25:50 -0700

apport (2.20.6-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - SECURITY FIX: Fix path traversal vulnerability with hooks execution.
      Ensure that ExecutablePath: fields loaded from reports do not contain
      directories. Until now, an attacker could trick a user into opening a
      malicious .crash file containing

        ExecutablePath: /opt/../../../../some/dir/foo

      which would execute /some/dir/foo.py with arbitrary code.  Thanks to Felix
      Wilhelm for discovering this!
      (CVE-2017-10708, LP: #1700573)
    - Stop installing a MIME handler for crash files as it ends up causing more
      trouble than it is worth.
    - bin/crash-digger: Set self.lp if the crashdb is Launchpad.
    - test/test_backend_apt_dpkg.py: cache directories contain the
      architecture in the path if if is not the native arch.
    - apport/crashdb_impl/launchpad.py: Don't make a contentless change to a bug,
      it just generates more bug mail.
    - apport/crashdb_impl/launchpad.py: Handle FailedToDecompressContent httplib2
      error when downloading a broken attachment.
    - Convert regular expressions to raw strings to avoid deprecation warnings
      with Python version 3.6. Thanks to Michael Hudson-Doyle for the patch!

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jul 2017 13:02:29 -0700

apport (2.20.5-0ubuntu5) artful; urgency=medium

  * Cherry picked from upstream's unreleased 2.20.6 - Convert regular
    expressions to raw strings to avoid deprecation warnings with Python
    version 3.6. Thanks to Michael Hudson-Doyle for the patch!

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Jun 2017 13:24:57 -0700

apport (2.20.5-0ubuntu4) artful; urgency=medium

  * data/general-hooks/ubuntu.py: Modify how a duplicate signature is created
    for package installation failures. (LP: #1692127)

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 May 2017 16:37:50 -0700

apport (2.20.5-0ubuntu3) artful; urgency=medium

  * Revert change to test/test_crash_digger.py to use the source's
    crash-digger.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 May 2017 16:00:06 -0700

apport (2.20.5-0ubuntu2) artful; urgency=medium

  * Resolve test failures:
    - bin/crash-digger: Set self.lp if the crashdb is Launchpad.
    - test/test_crash_digger.py: use the source's crash-digger not the
      installed one.
    - test/test_backend_apt_dpkg.py: cache directories contain the
      architecture in the patch if if is not the native arch.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 May 2017 13:13:36 -0700

apport (2.20.5-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - bin/apport-retrace: Comment on bug reports when an invalid core file is
      encountered. (LP: #1647635)
    - Switch to using HxW directory names for app icons instead of just one
      number. Thanks to Jeremy Bicha for the patch.
    - apport/ui.py: Ensure the Date field exists in a report before using it in a
      comparison. (LP: #1658188)
    - bin/apport-retrace: Add in a --gdb-sandbox switch which creates or utilizes
      a sandbox with the report's distribution release and the host system's
      architecture for installing and running gdb. (LP: #1517257)
    - apport/hookutils.py: Don't crash if .xsession-errors is not readable by the
      user. (LP: #1675928)
    - bin/apport-retrace: Be specific about which required field is missing from a
      report and not retracing it.
  * debian/control: Adjust Vcs-Bzr: for artful branch.

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 May 2017 15:11:38 -0700

apport (2.20.4-0ubuntu7) artful; urgency=medium


