## apport 2.20.7-0ubuntu3.6

=== debian/changelog ===
apport (2.20.7-0ubuntu3.6) artful; urgency=medium

  * bin/apport-cli: read until <enter> instead of a single character when # of
    apport options is non-unique with a single character. Thanks to Chad Smith
    for the patch. (LP: #1722564)

 -- Brian Murray <brian@ubuntu.com>  Mon, 27 Nov 2017 15:22:40 -0800
