## apport 2.20.7-0ubuntu3.9

=== debian/changelog ===
apport (2.20.7-0ubuntu3.9) artful-security; urgency=medium

  * data/apport: Properly handle crashes originating from a PID namespace.
    (LP: #1746668)
    - CVE-2018-6552

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 May 2018 15:27:03 -0700

apport (2.20.7-0ubuntu3.8) artful; urgency=medium

  * data/general-hooks/generic.py: Only include JournalErrors for apport-crash
    reports which are private by default. (LP: #1738581)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Mar 2018 09:43:05 -0700

apport (2.20.7-0ubuntu3.7) artful-security; urgency=medium

  * REGRESSION UPDATE: Fix regression that caused a Traceback in the
    container support (LP: #1733366)
    - data/apport: add a second os.path.exists check to ensure we do not
      receive a Traceback in is_container_id() and add an exception handler in
      case either name space can not be found.

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Dec 2017 10:49:58 -0800
