## apport 2.20.8-0ubuntu3

=== debian/changelog ===
apport (2.20.8-0ubuntu3) bionic; urgency=medium

  * apport-retrace: Use Python3. LP: #1153671.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Dec 2017 15:39:46 +0100
