=== debian/control ===
--- 
+++ 
@@ -130,9 +130,8 @@
 Package: apport-retrace
 Section: devel
 Architecture: all
-Depends: python (>= 2.7),
- python3,
- python-apport (>= ${source:Version}),
+Depends: python3,
+ python3-apport (>= ${source:Version}),
  apt,
  binutils,
  dpkg-dev,
