## apport 2.20.9-0ubuntu7

=== debian/changelog ===
apport (2.20.9-0ubuntu7) bionic; urgency=medium

  * debian/control: Drop x-terminal-emulator to Suggests: to avoid pulling
    it in unnecessarily when we only want it to support apport-retrace.
    (LP: #1766478)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Apr 2018 16:02:54 -0400

apport (2.20.9-0ubuntu6) bionic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 18.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Apr 2018 14:53:33 -0700

apport (2.20.9-0ubuntu5) bionic; urgency=medium

  * apport/hookutils.py: When gathering dmi information use read_file() which
    handles UTF-8. (LP: #1762438)

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Apr 2018 11:19:31 -0700

apport (2.20.9-0ubuntu4) bionic; urgency=medium

  * apport/hookutils.py: When gathering gsettings schema changes redact
    information regarding command-history and favorite-apps from gnome-shell.
    (LP: #1739531)

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Apr 2018 10:51:59 -0700

apport (2.20.9-0ubuntu3) bionic; urgency=medium

  * Help people who are trying to report bugs against snaps (LP: #1729491)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Apr 2018 18:08:52 +0200

apport (2.20.9-0ubuntu2) bionic; urgency=medium

  * data/general-hooks/generic.py: Have JournalErrors include warnings but
    only for apport-crash reports which are private by default. (LP: #1738581)
  * setup.py: update version with javac

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Mar 2018 11:45:29 -0700

apport (2.20.9-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - apport/sandboxutils.py: when installing extra packages do not install
      the debug versions of them as this was installing gdb-dbg. If debug
      versions of a package are specifically required they can be passed as
      an extra-package.
    - backends/packaging-apt-dpkg.py: when reusing a sandbox do not remove
      conflicting packages when they conflict with themselves, or when they
      conflict with but also provide a virtual package.
    - bin/apport-retrace: add a --no-stracktrace-source option that does not
      do the work of creating a StacktraceSource field in the retraced report
      thereby decreasing the time to retrace.
    - data/apport: wait for lock, with 30s timeout (LP: #1746874)

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Feb 2018 10:21:20 -0800

apport (2.20.8-0ubuntu10) bionic; urgency=medium

  * bin/apport-bug,bin/apport-cli: Now that we depend on python3 we should
    switch to using python3. (LP: #1748621)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Feb 2018 08:51:11 -0800

apport (2.20.8-0ubuntu9) bionic; urgency=medium

  * data/general-hooks/generic.py: change JournalErrors to contain errors not
    warnings. (LP: #1738581)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Feb 2018 16:42:28 -0800

apport (2.20.8-0ubuntu8) bionic; urgency=medium

  * apport/report.py: gdb's version 8.0.90 output changed from Warning to
    warning however to support using gdb in sandbox we need to support either
    case so check for both.

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Feb 2018 10:43:23 -0800

apport (2.20.8-0ubuntu7) bionic; urgency=medium

  * bin/apport-bug: recommend python3-apport not python-apport.
    (LP: #1729879)
  * data/package-hooks/source_ubiquity.py: Convert the content of syslog from
    bytes to string so comparison and regex matches in the hook work. Thanks
    to Jean-Baptiste Lallement for the improved patch.  (LP: #1582950)

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Jan 2018 08:24:53 -0800

apport (2.20.8-0ubuntu6) bionic; urgency=medium

  * data/apport: return True when the name space can not be found.

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Jan 2018 14:10:35 -0800

apport (2.20.8-0ubuntu5) bionic; urgency=medium

  * data/apport: add an exception handler in case either name space can not be
    found.

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Dec 2017 14:50:47 -0800

apport (2.20.8-0ubuntu4) bionic; urgency=medium

  * data/apport: add a second os.path.exists check to ensure we do not
    receive a Traceback in is_container_id(). (LP: #1733366)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Dec 2017 10:30:23 -0800
