=== debian/control ===
--- 
+++ 
@@ -114,6 +114,7 @@
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-problem-report (>= 0.94),
+ python3-requests-unixsocket,
  lsb-release,
  ${misc:Depends}
 Recommends: apport
@@ -178,9 +179,9 @@
  python3-gi,
  apport (>= 0.41), 
  procps,
- x-terminal-emulator,
  ${misc:Depends}
 Recommends: update-notifier, gdb | gdb-minimal
+Suggests: x-terminal-emulator
 Description: GTK+ frontend for the apport crash report system
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
