=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,6 @@
 override_dh_install:
 	dh_install -X.pyc -X.egg-info --list-missing
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_apport debhelper/dh_apport.1
-	# apport-retrace needs python-launchpadlib, which is not yet available
-	# for Python 3; so switch back to Python 2
-	sed -i '1 s/python3.*$$/python/' debian/apport-retrace/usr/bin/apport-retrace
 
 override_dh_python3:
 	dh_python3 --skip-private
