## apport 2.20.9-0ubuntu7.12

=== debian/changelog ===
apport (2.20.9-0ubuntu7.12) bionic-security; urgency=medium

  [ Michael Hudson-Doyle ]
  * SECURITY REGRESSION: fix autopkgtest failures since recent security
    update (LP: #1854237)
    - Fix regression in creating report for crashing setuid process by getting
      kernel to tell us the executable path rather than reading
      /proc/[pid]/exe.
    - Fix deletion of partially written core files.
    - Fix test_get_logind_session to use new API.
    - Restore add_proc_info raising ValueError for a dead process.
    - Delete test_lock_symlink, no longer applicable now that the lock is
      created in a directory only root can write to.

  [ Tiago Stürmer Daitx ]
  * SECURITY REGRESSION: 'module' object has no attribute 'O_PATH'
    (LP: #1851806)
    - apport/report.py, apport/ui.py: use file descriptors for /proc/pid
      directory access only when running under python 3; prevent reading /proc
      maps under python 2 as it does not provide a secure way to do so; use
      io.open for better compatibility between python 2 and 3.
  * data/apport: fix number of arguments passed through socks into a container.
  * test/test_apport_valgrind.py: skip test_sandbox_cache_options if system
    has little memory.
  * test/test_report.py: test login session with both pid and proc_pid_fd.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 27 Feb 2020 03:18:45 +0000

apport (2.20.9-0ubuntu7.11) bionic; urgency=medium

  * Create additional symlinks to the source_linux.py apport package hook for
    many OEM kernels. Thanks to You-Sheng Yang for the patch. (LP: #1847967)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Feb 2020 16:46:35 -0800

apport (2.20.9-0ubuntu7.10) bionic; urgency=medium

  * Use an SRU-safe substring when checking for the available version of
    aspell-doc in xenial, since aspell *did* have an SRU. Backported
    from apport 2.20.11-0ubuntu9. (LP: #1851542)

 -- dann frazier <dannf@ubuntu.com>  Wed, 13 Nov 2019 14:12:37 -0800

apport (2.20.9-0ubuntu7.9) bionic-security; urgency=medium

  * SECURITY REGRESSION: missing argument in Report.add_proc_environ
    call (LP: #1850929)
    - apport/report.py: call add_proc_environ using named arguments
      and move proc_pid_dir keyword to last to keep api compatibility.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 05 Nov 2019 02:49:27 +0000

apport (2.20.9-0ubuntu7.8) bionic-security; urgency=medium

  * SECURITY UPDATE: apport reads arbitrary files if ~/.config/apport/settings
    is a symlink (LP: #1830862)
    - apport/fileutils.py: drop permissions before reading user settings file.
    - CVE-2019-11481
  * SECURITY UPDATE: TOCTTOU race conditions and following symbolic
    links when creating a core file (LP: #1839413)
    - data/apport: use file descriptor to reference to cwd instead
      of strings.
    - CVE-2019-11482
  * SECURITY UPDATE: fully user controllable lock file due to lock file
    being located in world-writable directory (LP: #1839415)
    - data/apport: create and use lock file from /var/lock/apport.
    - CVE-2019-11485
  * SECURITY UPDATE: per-process user controllable Apport socket file
    (LP: #1839420)
    - data/apport: forward crashes only under a valid uid and gid,
      thanks Stéphane Graber for the patch.
    - CVE-2019-11483
  * SECURITY UPDATE: PID recycling enables an unprivileged user to
    generate and read a crash report for a privileged process (LP: #1839795)
    - data/apport: drop permissions before adding proc info (special thanks
      to Kevin Backhouse for the patch)
    - data/apport, apport/report.py, apport/ui.py: only access or open
      /proc/[pid] through a file descriptor for that directory.
    - CVE-2019-15790

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 29 Oct 2019 05:23:08 +0000

apport (2.20.9-0ubuntu7.7) bionic-security; urgency=medium

  * SECURITY UPDATE: TOCTOU issue allows local user to read arbitrary
    files (LP: #1830858)
    - apport/report.py: Avoid TOCTOU issue on users ignore file by
      dropping privileges and then opening the file both test for access and
      open the file in a single operation, instead of using access() before
      reading the file which could be abused by a symlink to cause Apport to
      read and embed an arbitrary file in the resulting crash dump.
    - CVE-2019-7307

 -- Alex Murray <alex.murray@canonical.com>  Thu, 04 Jul 2019 12:05:21 +0930

apport (2.20.9-0ubuntu7.6) bionic; urgency=medium

  * data/general-hooks/ubuntu.py: Fix UnicodeDecodeError when processing
    DpkgTerminalLog. (LP: #1766337)
  * debian/apport-autoreport.service: Since this calls whoopsie-upload-all
    which fails if whoopsie isn't running, it should have a relationship with
    whoopsie.service. (LP: #1787729)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Feb 2019 10:46:53 -0800

apport (2.20.9-0ubuntu7.5) bionic; urgency=medium

  * apport/ui.py: when using ubuntu-bug properly handle executables which
    start with /snap/bin. (LP: #1760220)
  * test/test_ui_gtk.py: Increase the timeout so that when the autopkgtest
    infrastructure is busy the tests should not fail. (LP: #1780767)

 -- Brian Murray <brian@ubuntu.com>  Fri, 02 Nov 2018 08:19:37 -0700

apport (2.20.9-0ubuntu7.4) bionic; urgency=medium

  * Handle old reports generated pre-apport with "remember" option.
    If the option isn't there, consider as false. (LP: #1791324)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2018 18:20:14 +0200

apport (2.20.9-0ubuntu7.3) bionic; urgency=medium

  [ Didier Roche ]
  * Add a remember option to whoopsie so that users can diminish
    crash interactions (LP: #1778497)
  * Move apport autoreport service files to apport binary package.
    Having them in apport-noui was creating a bug where autoreport
    wasn't working on desktop. As we check in the launched script
    for whoopsie and autoreport file, we don't autoreport by default.
    (LP: #1778694)

