## apport 2.20.9-0ubuntu7.13

=== debian/changelog ===
apport (2.20.9-0ubuntu7.13) bionic; urgency=medium

  * apport/ui.py: Always allow users to use ubuntu-bug or apport-collect
    regardless of the Problem Reporting setting as they are manually invoked
    and not automatically generated like a crash report. (LP: #1814611)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Mar 2020 15:35:23 -0700
