## apport 2.20.9-0ubuntu7.26

=== debian/changelog ===
apport (2.20.9-0ubuntu7.26) bionic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read (LP: #1934308)
    - data/general-hooks/ubuntu.py: don't attempt to include emacs
      byte-compilation logs, they haven't been generated by the emacs
      packages in a long time.
    - CVE-2021-3709
  * SECURITY UPDATE: Info disclosure via path traversal (LP: #1933832)
    - apport/hookutils.py, test/test_hookutils.py: detect path traversal
      attacks, and directory symlinks.
    - CVE-2021-3710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Aug 2021 10:56:33 -0400

apport (2.20.9-0ubuntu7.24) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.9-0ubuntu7.23) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2021 07:21:46 -0500

apport (2.20.9-0ubuntu7.21) bionic; urgency=medium

  * data/apport: only drop supplemental groups if the user is root. (LP: #1906565)

 -- Brian Murray <brian@ubuntu.com>  Thu, 03 Dec 2020 09:39:34 -0800

apport (2.20.9-0ubuntu7.20) bionic-security; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Nov 2020 15:03:57 -0500

apport (2.20.9-0ubuntu7.19) bionic; urgency=medium

  * data/apport: In the event that the crashing executable does not exist on
    disk any more the path name of the executable (passed by core) is appended
    with '(deleted)' because apport is currently using sys.argv for argument
    parsing there end up being too many arguments and apport crashes. This is
    fixed by adding handling for six arguments. (LP: #1899195)

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Oct 2020 13:34:10 -0700

apport (2.20.9-0ubuntu7.18) bionic; urgency=medium

  * data/apport: Introduce support for non-positional arguments so we can
    easily extend core_pattern in the future (LP: #1732962)

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Fri, 21 Aug 2020 10:12:55 -0500

apport (2.20.9-0ubuntu7.17) bionic; urgency=medium

  [ Brian Murray ]
  * apport/hookutils.py: workaround the fact that pkexec does not work in
    non-graphical environments yet (LP #1821415) by skipping the gathering of
    information as root because it isn't strictly necessary for a bug report.
    (LP: #1861451)

  [ Matthieu Clemenceau ]
  * Add in a source package hook symlink for linux-firmware. (LP: #1872059)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Aug 2020 18:08:39 -0700

apport (2.20.9-0ubuntu7.16) bionic-security; urgency=medium

  * SECURITY UPDATE: information disclosure issue (LP: #1885633)
    - data/apport: also drop gid when checking if user session is closing.
    - CVE-2020-11936
  * SECURITY UPDATE: crash via malformed ignore file (LP: #1877023)
    - apport/report.py: don't crash on malformed mtime values.
    - CVE-2020-15701
  * SECURITY UPDATE: TOCTOU in core file location
    - data/apport: make sure the process hasn't been replaced after Apport
      has started.
    - CVE-2020-15702
  * apport/ui.py, test/test_ui.py: make sure a PID is specified when using
    --hanging (LP: #1876659)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 Jul 2020 09:08:40 -0400

apport (2.20.9-0ubuntu7.15) bionic; urgency=medium

  * apport_python_hook.py: if python apt modules are not built for the python
    version then do capture the crash. (LP: #1774843)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 May 2020 15:12:14 -0700

apport (2.20.9-0ubuntu7.14) bionic-security; urgency=medium

  * SECURITY UPDATE: World writable root owned lock file created in user
    controllable location (LP: #1862348)
    - data/apport: Change location of lock file to be directly under
      /var/run so that regular users can not directly access it or perform
      symlink attacks.
    - CVE-2020-8831
  * SECURITY UPDATE: Race condition between report creation and ownership
    (LP: #1862933)
    - data/apport: When setting owner of report file use a file-descriptor
      to the report file instead of its path name to ensure that users can
      not cause Apport to change the ownership of other files via a
      symlink attack.
    - CVE-2020-8833

 -- Alex Murray <alex.murray@canonical.com>  Wed, 25 Mar 2020 11:47:13 +1030
