=== debian/control ===
--- 
+++ 
@@ -228,10 +228,9 @@
 Architecture: all
 Depends: python3,
  python3-apport (>= ${source:Version}),
- apport (>= 0.41),
+ apport (>= 2.20.9-0ubuntu7.3),
  procps,
  gdb-minimal | gdb,
- watershed,
  whoopsie,
  ${misc:Depends}
 Description: tools for automatically reporting Apport crash reports
