## apport 2.20.9-0ubuntu7.29%2Besm3

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  apport-valgrind,
  apport-gtk,
  apport-kde,
+ python-apport,
  build-essential,
  python-twisted-core,
  python3-mock,
