## apport 2.20.9-0ubuntu7.29+esm1

=== debian/changelog ===
apport (2.20.9-0ubuntu7.29+esm1) bionic-security; urgency=medium

  * SECURITY UPDATE: Race condition when forwarding core files to containers
    - data/apport: Do not change report group to report owners primary group.
    - data/apport: Do not override options.pid.
    - data/apport: Open /proc/<pid> as early as possible.
    - data/fileutils.py: Respect proc_pid_fd in get_core_path.
    - test/test_fileutils.py: Respect proc_pid_fd in get_core_path.
    - data/apport: Use opened /proc/<pid> everywhere.
    - data/apport: Do consistency check before forwarding crashes.
    - data/apport: Require --dump-mode to be specified.
    - data/apport: Determine report owner by dump_mode.
    - test/test_signal_crashes.py: Determine report owner by dump_mode.
    - data/apport: Do not forward crash for dump_mode == 2.
    - data/apport: Support pidfd (%F) parameter from kernel.
    - etc/init.d/apport: Support pidfd (%F) parameter from kernel.
    - CVE-2025-5054

 -- Octavio Galland <octavio.galland@canonical.com>  Thu, 22 May 2025 17:18:03 -0300
