## apport 2.20.9-0ubuntu7.29+esm2

=== debian/changelog ===
apport (2.20.9-0ubuntu7.29+esm2) bionic-security; urgency=medium

  * SECURITY REGRESSION: apport not generating core dumps inside containers
    (LP: #2112272)
    - data/apport: Check the exe mtime within the proc root mount.

 -- Octavio Galland <octavio.galland@canonical.com>  Wed, 04 Jun 2025 15:48:27 -0300
