## apport 2.20.9-0ubuntu7.29+esm3

=== debian/changelog ===
apport (2.20.9-0ubuntu7.29+esm3) bionic-security; urgency=medium

  * SECURITY REGRESSION: exception during core dump handling (LP: #2112466)
    - data/apport: Catch FileNotFoundError when trying to open /proc/<pid>.
    - test/run: Use pyflakes3 instead of pyflakes for python3 files.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 08 Jul 2025 13:54:54 -0300
