=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  gir1.2-wnck-3.0,
  pycodestyle | pep8,
  pyflakes,
+ pyflakes3,
  xterm,
  dbus-x11,
  gvfs-daemons,
