## apport 2.20.9-0ubuntu7.29+esm4

=== debian/changelog ===
apport (2.20.9-0ubuntu7.29+esm4) bionic-security; urgency=medium

  * SECURITY REGRESSION: Type error during error handling (LP: #2117236)
    - data/apport: Use correct format specifier during error handling when
      /proc/<pid> is not found.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 29 Jul 2025 13:01:19 -0300
